# Uses of Interface
org.springframework.expression.BeanResolver

Packages that use BeanResolver
Package
Description
org.springframework.expression
Core abstractions behind the Spring Expression Language.
org.springframework.expression.spel.support
SpEL's default implementations for various core abstractions.

## Uses of BeanResolver in org.springframework.expression

Methods in org.springframework.expression that return BeanResolver
Modifier and Type
Method
Description
`BeanResolver`
EvaluationContext.`getBeanResolver()`
Return a bean resolver that can look up beans by name.

## Uses of BeanResolver in org.springframework.expression.spel.support

Methods in org.springframework.expression.spel.support that return BeanResolver
Modifier and Type
Method
Description
`BeanResolver`
SimpleEvaluationContext.`getBeanResolver()`
`SimpleEvaluationContext` does not support the use of bean references.
`BeanResolver`
StandardEvaluationContext.`getBeanResolver()`
Methods in org.springframework.expression.spel.support with parameters of type BeanResolver
Modifier and Type
Method
Description
`void`
StandardEvaluationContext.`setBeanResolver(BeanResolver beanResolver)`